Bug 1912852 - VM from wizard - available VM templates - "storage" field is "0 B"
Summary: VM from wizard - available VM templates - "storage" field is "0 B"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Yaacov Zamir
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-05 13:05 UTC by Ruth Netser
Modified: 2021-02-24 15:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:49:43 UTC
Target Upstream Version:


Attachments (Terms of Use)
Screenshot (32.26 KB, image/png)
2021-01-05 13:05 UTC, Ruth Netser
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7781 0 None closed Bug 1912852: Use value of value for disk size 2021-01-15 05:04:29 UTC
Github openshift console pull 7790 0 None open Bug 1912852: Show not available when storage is not available 2021-01-11 13:07:15 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:50:10 UTC

Description Ruth Netser 2021-01-05 13:05:36 UTC
Created attachment 1744582 [details]
Screenshot

Description of problem:
Create VM from wizard screen.
Each of the available VM templates have a "Storage" field with "0 B" value.

Version-Release number of selected component (if applicable):
OCP 4.7.0-fc.0, CNV 2.6.0

How reproducible:
100%

Steps to Reproduce:
1. Use SSP new templates (v2.6.0-20)
2. Virtualization -> create new VM from wizard


Actual results:
Each of the available VM templates have a "Storage" field with "0 B" value.

Expected results:
Either display the storage requests from the templates (under dataVolumeTemplates) or do not display the field.

Additional info:
See atatched screenshot

Comment 2 Guohua Ouyang 2021-01-11 11:21:04 UTC
The templates without boot source and template created from yaml are displaying STORAGE 0B, is it okay?

Comment 4 Guohua Ouyang 2021-01-13 10:40:40 UTC
The templates without boot source and template created from yaml are displaying "Not available", looks good to me.

Comment 5 Yaacov Zamir 2021-01-15 05:04:52 UTC
fixed in 7790

Comment 8 errata-xmlrpc 2021-02-24 15:49:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.